import java.io.FileWriter;
import java.io.IOException;
import java.util.Hashtable;

public class XMLWriter {

    static final int LIMIT=3000;
    private FileWriter xmlFile;
    private int lineCount;
    


    public XMLWriter(String basename) {
	 lineCount = 0;
	 try {
	    xmlFile = new FileWriter(basename + ".xml");
	 } catch (IOException e) {
	    e.printStackTrace();
	    System.exit(1);
	 }
	}

	

    // Write a sequence of XML code to the XML file.
    public void writeCode(String code) {
	  if (lineCount < LIMIT){
		lineCount++;
		try {
	
	    xmlFile.write(code);
	    } catch (IOException e) {
	      e.printStackTrace();
	      System.exit(1);
	    }
	  }else
		  try {
			    xmlFile.close();
			} catch (IOException e) {
			    e.printStackTrace();
			    System.exit(1);
			}
    }

    public void close() {
	try {
	    xmlFile.close();
	} catch (IOException e) {
	    e.printStackTrace();
	    System.exit(1);
	}
    }

 
}
